<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="/css/style.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.5.0/css/bulma.min.css">
    <script src="https://www.gstatic.com/firebasejs/4.2.0/firebase.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.4.2/vue.min.js"></script>
    <script src="/lib/store.js"></script>
    <script src="/lib/md5.js"></script>
    <!-- Primary Meta Tags -->
    <title>Video con clave 🔒</title>
    <meta name="title" content="Video con clave 🔒">
    <meta name="description" content="Escribe la clave para acceder al video.">

    <!-- Open Graph / Facebook -->
    <meta property="og:type" content="website">
    <meta property="og:title" content="Video con clave 🔒">
    <meta property="og:description" content="Escribe la clave para acceder al video.">
    <meta property="og:image" content="https://link-privado.web.app/play.png">

    <!-- Twitter -->
    <meta property="twitter:card" content="summary_large_image">
    <meta property="twitter:title" content="Video con clave 🔒">
    <meta property="twitter:description" content="Escribe la clave para acceder al video.">
    <meta property="twitter:image" content="https://link-privado.web.app/play.png">
    <script>
      // Initialize Firebase
      var config = {
        apiKey: "AIzaSyC8R9zydYTTjq6u6I1icQsrTEavX2OEIQU",
        authDomain: "link-privado.firebaseapp.com",
        databaseURL: "https://link-privado.firebaseio.com",
        projectId: "link-privado",
        storageBucket: "link-privado.appspot.com",
        messagingSenderId: "1094658108415",
        appId: "1:1094658108415:web:3d0b6f8137639f6b9655ca"
      };
      firebase.initializeApp(config);
    </script>
    <style>
      .logo { max-width: 200px; }
      iframe {
        position: fixed;
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
        overflow: hidden;
      }
      .overlay-head {
        position: fixed;
        z-index: 9999999999;
        background-color: rgba(0,0,0,0);
        height: 5em;
        top: 0;
        left: 0;
        right: 0;
      }
    </style>
  </head>
  <body>
    <div id="app">
      <div class="overlay-head"></div>
      <iframe v-if="item && unlocked" :src="`${item.link}?modestbranding=1`" width="100%" height="100%"></iframe>
      <section v-else class="hero is-light is-fullheight">
        <div class="hero-body has-text-centered">
          <div class="container">
            <h1 class="title" v-if="loading">...</h1>
            <h1 class="title" v-if="notFound">404</h1>
            <div class="columns is-mobile">
              <div class="column is-half is-offset-one-quarter">
                <div v-if="!loading && !notFound && !unlocked">
                  <h1 class="title">{{ item.title }}</h1>
                  <img :src="item && item.logo" class="logo"><br><br>
                  <input placeholder="Ingrese la clave..." class="input is-info is-large has-text-centered" type="text" v-model="guess" @keyup="onTyping">
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>

    <script>
      var db = firebase.database().ref('locks');
      var id = window.location.pathname.split('/').pop();

      if (!store.get('unlocked'))
        store.set('unlocked', {});

      var unlocked = store.get('unlocked');

      var app = new Vue({
        el: '#app',
        data: {
          item: null,
          loading: true,
          notFound: false,
          unlocked: false,
          guess: ""
        },
        mounted: function() {
          var self = this;
          if (id in unlocked) {
            self.loading = false;
            self.unlocked = true;
            self.item = unlocked[id]
          } else {
            self.fetch(id);
          }
          document.title = self.item.title;
        },
        methods: {
          fetch: function(id) {
            var self = this;
            db.child(id).once('value').then(function(snapshot) {
              var item = snapshot.val();
              console.log(item)
              self.loading = false;
              if (item) {
                self.item = item;
              } else {
                self.notFound = true;
              }
            })
          },
          onTyping: function() {
            this.unlocked = this.item.codes.indexOf(this.guess) >= 0;
            if (this.unlocked) {
              unlocked[id] = this.item;
              store.set('unlocked', unlocked);
            }
          }
        }
      })
    </script>
  </body>
</html>

